      subroutine hec_runh_epio
c
c read run header block from epio
c
      implicit none
c
      include'hec_epio.inc'     !epio
      include'hec_runh.inc'     !run header
c
c local
c
      integer roconfig
      integer mwpc_tmp, calo_tmp
c
c fill runcom
c
      run_no = ibankbuf(3)
      e_beam = ibankbuf(4)
      i_part = ibankbuf(5)
      x_cryo = ibankbuf(6)
      y_tabl = ibankbuf(7)
      roconfig = ibankbuf(12)
c
c override run header values if requested
c
      call hec_runh_replace
c
c unpack roconfig
c
      mwpc_tmp = ibits(roconfig,1,1)
      calo_tmp = ibits(roconfig,2,1)        
      if (mwpc_tmp .eq. 1) mwpc_on_flag = .true.
      if (calo_tmp .eq. 1) calo_on_flag = .true.
c
c print run banner
c
      write(*, 1020) run_no, e_beam, i_part, x_cryo, y_tabl,
     +               mwpc_on_flag, calo_on_flag 
 1020 format (/2x,27(1h*)/2x,1h*,25x,1h*/
     +2x,'* run number    =',i8,2h */
     +2x,'* beam energy   =',f8.1,2h */
     +2x,'* particle code =',i8,2h */
     +2x,'* x_cryostat    =',f6.2,2hcm,2h */
     +2x,'* y_table       =',f6.2,2hcm,2h */
     +2x,'* mwpc_on_flag  =',i8,2h */
     +2x,'* calo_on_flag  =',i8,2h */
     +2x,1h*,25x,1h*/2x,27(1h*)/)
c
      end
