      subroutine hec_tdc_evt
c
c process the raw tdc time
c 15/04/98  ML  from discussions with D. Striegel, H. Stenzel and
c               L. Kourtchaninov
c
c To obtain the time tj of sampling j we do
c
c     tj = (j - 1)*25ns + tdc
c
c There is a tdc bug.  If tdc > t0, then tdc is the time between 
c the trigger and the second time slice.  Therefore we must 
c correct the tdc on an event by event basis using
c
c     if tdc >= t0 then tdc = tdc - 25ns
c
c where is appears that t0 is run dependent!  t0 can be found by 
c analysis a run an looking at the tdc corrected time profile of 
c the signal.  There is a ghost signal if t0 is not the right one. 
c With this procedure, we have the following range for the tdc 
c value:
c
c     t0 - 25ns <= tdc < t0
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc' !datacard values
      include'hec_geo.inc'      !geometry correspondence tables
      include'hec_tdc.inc'      !tdc
c
      if (irunpd .lt. 6) return
c
c fetch conversion factor from geo.inc
c
      hec_tdc_raw_to_ns = conv_tdc_time
c      
c convert from tdc to ns
c
      hec_tdc_ns = hec_tdc_raw * hec_tdc_raw_to_ns
c
      if (run_mode .eq. 1) then
c
c fetch the t0 for tdc correction from geo.inc
c
        hec_tdc_shift_ns = tslice_shift
c
c apply correction
c
        if (hec_tdc_ns .gt. hec_tdc_shift_ns) 
     +      hec_tdc_ns = hec_tdc_ns - 25.
      endif
c      
      end
